<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title></title>
    <style>
        body{
            text-align: center;
            margin: auto;
        }
        .center {
            display: block;
            margin-left: auto;
            margin-right: auto;
          
        }
        form{
            margin: auto;
            
        }
        input[type=submit] {
            width: 50%;
            background-color: lightblue;
            color: white;
            padding: 14px 20px;
            margin: 8px 0;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        input{
            width: 50%;
            background-color: white;
            color: black;
            padding: 14px 20px;
            margin: 8px 0;
            border: none;
        }
        p{
            color: red;
        }
        .input{
            background-color:rgb(246,244, 245);
        }

    </style>
</head>

<body>

    <img src="nature.jpg" alt="nature" class="center">
    <form>
        <div>
            <label for="fname" >first name: </label> <br>
            <input id="fname" type="text" class="input">

        </div>
        <div>
            <label for="lname">Last name: </label> <br>
            <input id="lname" type="text" class="input">
        </div>
        <div>
            <input id="submit" type="submit" value="Submit">
        </div>
        
    </form>
    <p id="p"></p>
    <script>
        var form = document.querySelector('form');
        var fname = document.getElementById('fname');
        var lname = document.getElementById('lname');
        var submit = document.getElementById('submit');
        var para = document.querySelector('p');

        form.onsubmit = function(e) {
            
            if (fname.value === '' || lname.value ===''){
                e.preventDefault();
                para.textContent = 'you need to fill in both names!'
            }
        }
        
        


    </script>
</body>

</html>